ui = hgroup("FreeAx",
  vgroup("[1]Excitation",
    nentry("freq", 440, 20, 7040, 1),
    nentry("gain", 0.1, 0, 1, 0.01), 
    button("gate")), 

  vgroup("[2]Strings",
    // Detuning of coupled modes:
    hslider("coupling detuning percent", 1, 0, 10, 0.1),

    // String decay time in seconds:
    hslider("decaytime T60", 4, 0, 10, 0.01),

    // Normalized brightness in [0,1]:
    hslider("brightness", 0.5, 0, 1, 0.01))
);

process = ui;
