// Stand alone test program for the digitized CryBaby wah pedal

import("effect.lib"); // crybaby
import("oscillator.lib"); // /l/fa/osc.lib  // oscs, sawtooth

wah = hslider("wah",1,0,1,0.01);
ena = checkbox("wah enable");
g   = hslider("level",0.1,0,1,0.01);
f   = hslider("fundamental",100,20,1000,1) : smooth(0.999);

fm = f*(1+0.05*oscs(6)); // static fundamentals fatigue the ear quickly

process = sawtooth(fm) : *(g) <: ena,_,crybaby(wah) : select2;
