// Stand alone test program for the Moog-VCF-based wah pedal

import("effect.lib"); // wah4
import("oscillator.lib"); // /l/fa/osc.lib  // oscs, sawtooth

fc = hslider("resonance frequency",200,20,8000,1) : smooth(0.999);
ena = checkbox("wah4 enable");
g   = hslider("level",0.1,0,1,0.01);
f   = hslider("fundamental",100,20,1000,1);

fm = f*(1+0.05*oscs(6));

process = sawtooth(fm) : *(g) <: ena,_,wah4(fc) : select2;
