import("filter.lib");

ui = hgroup("FreeAx",
  vgroup("[1]Excitation",
    nentry("freq", 440, 20, 7040, 1),  
    nentry("gain", 0.1, 0, 1, 0.01),   
    button("gate"),                    
    hslider("excitation position", 0.13, 0.02, 0.5, 0.01), 
    hslider("level-linear", 0.5, 0, 1, 0.01), 
    hslider("pitchbend-semitones", 0, -2, 2, 0.1), // : smooth(0.999) : pow(2), 
    hslider("vibrato freq Hz", 5.5, 1, 10, 0.1), 
    hslider("vibrato-percent", 0.3, 0, 10, 0.1)), 

vgroup("[2]Strings",
    hslider("coupling detuning percent", 1, 0, 10, 0.1), 
    hslider("decaytime T60", 4, 0, 10, 0.01),  
    hslider("brightness", 0.5, 0, 1, 0.01)),
	
vgroup("[3]Speaker",
    hslider("distortion drive",0.629,0,10,0.01), 
    hslider("Amp feedback gain",0.001,0,0.02,0.001), 
    hslider("Amp feedback first resonance Hz",100,40,2000,1), 
    hslider("Speaker low-frequency cutoff Hz",130,20,1000,1), 
    hslider("Speaker high-frequency cutoff Hz",5000,1000,10000,1)) 
);

process = ui;

